summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRahul C S <rahulcs@redhat.com>2012-01-04 15:40:19 +0530
committerRahul C S <rahulcs@redhat.com>2012-01-06 11:45:38 +0530
commit0216d265084206cf61e9febac3079aa8029bf603 (patch)
treeac47fa7bb8fb378f0fdd20fc7b135a83906de558
parent35d91591d1dcf992bebb44f4bfbd8a814a2c403c (diff)
Check if double wait is fixed in monitor
Change-Id: Ia4f1b6e34a1e13d10dc3ede7fecbf7b174b9e7e9 BUG: 764548 Signed-off-by: Rahul C S <rahulcs@redhat.com>
-rwxr-xr-xdvm/764548/testcase48
1 files changed, 48 insertions, 0 deletions
diff --git a/dvm/764548/testcase b/dvm/764548/testcase
new file mode 100755
index 0000000..1c164d5
--- /dev/null
+++ b/dvm/764548/testcase
@@ -0,0 +1,48 @@
+#!/bin/bash
+
+source $cwd/regression_helpers;
+
+#create, start volume
+$GLUSTERFSDIR/gluster volume create $global_bug_id $(hostname):$EXPORT_DIR/$global_bug_id/export1 $(hostname):$EXPORT_DIR/$global_bug_id/export2 &>/dev/null;
+
+$GLUSTERFSDIR/gluster volume start $global_bug_id &> /dev/null;
+
+sleep 10;
+
+$GLUSTERFSDIR/gluster volume create backup $(hostname):$EXPORT_DIR/$global_bug_id/export_bak &>/dev/null;
+
+$GLUSTERFSDIR/gluster volume start backup &> /dev/null;
+
+#start gsyncd
+$GLUSTERFSDIR/gluster volume geo-replication $global_bug_id :backup start &> /dev/null;
+if [ $? -ne 0 ]; then
+ exit 255;
+fi
+
+sleep 10;
+ps aux|grep gsyncd.py | grep monitor | grep backup &> /dev/null;
+if [ $? -ne 0 ]; then
+ exit 255;
+fi
+
+#stop master & create, start new master volume
+$GLUSTERFSDIR/gluster --mode=script volume stop $global_bug_id &> /dev/null;
+
+$GLUSTERFSDIR/gluster volume create newmaster $(hostname):$EXPORT_DIR/$global_bug_id/export4 $(hostname):$EXPORT_DIR/$global_bug_id/export5 &>/dev/null;
+
+$GLUSTERFSDIR/gluster volume start newmaster &> /dev/null;
+
+sleep 10;
+
+$GLUSTERFSDIR/gluster volume geo-replication newmaster :backup start &> /dev/null;
+if [ $? -ne 0 ]; then
+ exit 255;
+fi
+
+sleep 10;
+ps aux|grep gsyncd.py | grep monitor | grep newmaster &> /dev/null;
+if [ $? -ne 0 ]; then
+ exit 255;
+else
+ exit 0;
+fi